Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::gl::viewer::light_info Struct Reference

List of all members.

## Detailed Description

Light information.

## Public Attributes

light_type | type
| Light type.
int | nesting_level
| Nesting level.
float | radius_squared
| The light's radius squared.
vec3f | location
| The light's location.

## Member Data Documentation

viewer::light_type openvrml::gl::viewer::light_info::type

| Light type.

int openvrml::gl::viewer::light_info::nesting_level

| Nesting level.

float openvrml::gl::viewer::light_info::radius_squared

| The light's radius squared.

vec3f openvrml::gl::viewer::light_info::location

| The light's location.